package com.ho.business.service;


import com.ho.business.entity.ElecPrice;

import java.util.List;

/**
* @author yule
* @description 针对表【elec_price】的数据库操作Service
* @createDate 2022-08-25 16:07:53
*/
public interface ElecPriceService {

    //入库新增
    int insertSelective(ElecPrice record);

    //查询所有
    List<ElecPrice> selectAll();

    //根据id查询
    List<ElecPrice> selectByStationIdAndTime(Integer id,String startTime);

    /**
     * 查集团最新电价列表
     * @param groupId
     * @param stationId
     * @param startTime
     * @param endTime
     * @return
     */
    List<ElecPrice> selectLatestPrices(Integer groupId, Integer stationId, String startTime, String endTime);

    //查询最新日期
    String selectStartTime(Integer id);


}
